#
# spec file for package python-dfdatetime
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define timestamp 20220131
%define skip_python2 1
%define modname dfdatetime
Name:           python-dfdatetime
Version:        0~%{timestamp}
Release:        bp156.5.1
Summary:        Digital Forensics date and time (dfDateTime)
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/log2timeline/dfdatetime
Source:         https://files.pythonhosted.org/packages/source/d/%{modname}/%{modname}-%{timestamp}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
dfDateTime, or Digital Forensics date and time, provides date and time
objects to preserve accuracy and precision.

%prep
%setup -q -n %{modname}-%{timestamp}

%build
%python_build

%install
%python_install
# setup.py install helpfully installs files where it shouldn’t
rm -rfv %{buildroot}%{_datadir}/doc/%{modname}

%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest tests/*.py

%files %{python_files}
%license LICENSE
%doc ACKNOWLEDGEMENTS AUTHORS README
%{python_sitelib}/*

%changelog
* Fri Sep 23 2022 pgajdos@suse.com
- does not need python-six for build
  https://trello.com/c/MO53MocR/143-remove-python3-six
* Wed Jun  8 2022 Greg Freemyer <Greg.Freemyer@gmail.com>
- remove no longer needed explicit BuildRequires
-BuildRequires:  %%{python_module devel}
-BuildRequires:  %%{python_module pbr >= 4.2.0}
* Mon May  2 2022 pgajdos@suse.com
- python-mock is not required for build
* Thu Mar 17 2022 pgajdos@suse.com
- version update to 0~20220131
  * no upstream changelog file found
- try to use %%pytest macro again
* Fri Nov 13 2020 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20200824
  * Extended time elements with copy from datetime object
  * Extended time elements with copy from RFC 822 and 1123 methods
  * Added date and time values factory class for serialization
* Sun Apr  5 2020 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20200121
  * mandatory for python-dfVFS v0~20200211 support
  * the changelog does not show what change makes this mandatory
* Fri Jan 17 2020 Matej Cepl <mcepl@suse.com>
- Convert to python3 only
* Mon Aug 19 2019 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20190517
  * changelog not provided
- Added Requires: python-mock  to allow self-test to be manually run
* Thu Jan 11 2018 Greg.Freemyer@gmail.com
- update to v0~20180110
  * deprecated a functions
  * added new functions
* Tue Oct  3 2017 Greg.Freemyer@gmail.com
- update to v0~20170719
  * various improvements including
  new format support
  added sanity checks
- implement python singlespec syntax
- remove the lines that delete *.pyc and *.pyo files,
  they no longer cause problems
* Sat Jul 30 2016 jengelh@inai.de
- Use python macros for filelists.
  Use hardlinks for fdupes, it's cheaper.
* Thu Jul 28 2016 Greg.Freemyer@gmail.com
- initial package v0~20160323
